<script type="text/javascript">
	$(document).ready(function(){
	$("#input_bon").hide();
	
	cari_itf();
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/setor_bbm/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_prem").val(data.prem);
				$("#txt_solar").val(data.solar);
				$("#txt_ptmx").val(data.ptmx);
				$("#txt_ptmp").val(data.ptmp);
				$("#txt_ptlt").val(data.ptlt);
				$("#txt_dex").val(data.dex);
				$("#txt_dexlite").val(data.dexlite);
				$("#txt_solek").val(data.solek);
			}
		});
	}
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggaljt").val(data.tanggal);
			}
		});
	}
	
	$("#txt_tanggal").focus();
	
	$('#txt_kodetl').keyup(function(){
		cari_nomor();
		return false;
	});
	
	$('#txt_kodetl').click(function(){
		cari_nomor();
		return false;
	});
	
	function cari_nomor(){
		var tanggal	= $("#txt_tanggal").val();
		var shift		= $("#txt_shift").val();
		var kodetl 	= $("#txt_kodetl").val();
		
		$.ajax({
			type		: "POST",
			url		: "modul/setor_bbm/cari_nomor.php",
			data		: "tanggal="+tanggal+
				"&shift="+shift+
				"&kodetl="+kodetl,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$("#txt_kodelm").val(data.kodesb);
				cari_teller();
			}
		});
	}
	
	function cari_teller(){
		var kodetl   = $("#txt_kodetl").val();
		var kodelm = $("#txt_kodelm").val();
				
		if(kodelm.length>0){
			alert('Data setoran '+kodelm+' sudah ada.');
			$("#txt_shift").focus();
			return (false);
		}
		
		$.ajax({
			type		: "POST",
			url		: "modul/setor_bbm/cari_teller.php",
			data	: "kodetl="+kodetl,
			dataType: "json",
			success	: function(data){
				$("#txt_telleraw").val(data.telleraw);
				$("#txt_jenis").val(data.jenis);
				$("#txt_tanki").val(data.tanki);
				cari_stok();
			}
		});
	}
	
	function cari_stok(){
		var jenis	= $("#txt_jenis").val();
		var prem	= $("#txt_prem").val();
		var solar	= $("#txt_solar").val();
		var ptmx	= $("#txt_ptmx").val();
		var ptmp	= $("#txt_ptmp").val();
		var ptlt 		= $("#txt_ptlt").val();
		var dex		= $("#txt_dex").val();
		var dexlite	= $("#txt_dexlite").val();
		var solek	= $("#txt_solek").val();
		
		$.ajax({
			type		: "POST",
			url		: "modul/setor_bbm/cari_stok.php",
			data	: "jenis="+jenis+
				"&prem="+prem+
				"&solar="+solar+
				"&ptmx="+ptmx+
				"&ptmp="+ptmp+
				"&ptlt="+ptlt+
				"&dex="+dex+
				"&dexlite="+dexlite+
				"&solek="+solek,
			dataType: "json",
			success	: function(data){
				$("#txt_hbeli").val(data.hbeli);
				$("#txt_hjual").val(data.hjual);
			}
		});
	}
	
	$('#txt_tellerak').keyup(function(){
		hitung_jumlah();
		return false;
	});
	
	$('#txt_tellerak').click(function(){
		hitung_jumlah();
		return false;
	});
	
	$('#txt_jmltera').keyup(function(){
		hitung_jumlah();
		return false;
	});
	
	$('#txt_jmlbon').keyup(function(){
		hitung_jumlah();	
		return false;
	});
	
	function hitung_jumlah(){
		var telleraw	= $("#txt_telleraw").val();
		var tellerak	= $("#txt_tellerak").val();
		var hbeli		= $("#txt_hbeli").val();
		var hjual		= $("#txt_hjual").val();
		var jmltera	= $("#txt_jmltera").val();
		var jmlbon 	= $("#txt_jmlbon").val();
		var jenis  	= $("#txt_jenis").val();
		
		if(jmltera=='') jmltera='0';
		if(jmlbon=='') jmlbon='0';
		
		var jmlkeluar = parseFloat(tellerak) - parseFloat(telleraw);
		var jmltunai	= jmlkeluar - parseFloat(jmltera) - parseFloat(jmlbon);
		var nilaitunai=  jmltunai * parseFloat(hjual);
		var hpptunai= jmltunai * parseFloat(hbeli);
		
		$("#txt_jmlkeluar").val(jmlkeluar);
		$("#txt_jmltunai").val(jmltunai);
		$("#txt_nilaitunai").val(nilaitunai);
		$("#txt_hpptunai").val(hpptunai);
	}
	
	$('#txt_jmltunai').click(function(){
		var jmlbon 	= $("#txt_jmlbon").val();
		var bon		= parseFloat(jmlbon);
		
		if(bon>0){
			cari_idbon();
			input_bon();
		}
		return false;
	});
	
	$('#txt_jmltunai').keyup(function(){
		var jmlbon 	= $("#txt_jmlbon").val();
		var bon		= parseFloat(jmlbon);
		
		if(bon>0){
			cari_idbon();
			input_bon();
		}
		return false;
	});
	
	function cari_idbon(){
		var kode	= $("#txt_kode").val();
		
		$.ajax({
			type		: "POST",
			url		: "modul/setor_bbm/cari_idbon.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_idbon").val(data.nomor);
			}
		});
	}
	
	function input_bon(){
		$("#input_bon").show();
		var sisabon = $("#txt_jmlbon").val();
		
		$("#txt_sisabon").val(sisabon);
		$("#txt_namapl").focus();
	}
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namapl').keyup(function(){
		$('#form_cari_plg').dialog('open');
		$("#txt_cariplg").focus();
		return false;
	});
	
	$('#txt_namapl').click(function(){
		$('#form_cari_plg').dialog('open');
		$("#txt_cariplg").focus();
		return false;
	});
	
	$("#txt_cariplg").keyup(function(){
		$("#info_plg").show();
		var cari = $("#txt_cariplg").val();
		
		$.ajax({
			type		: "POST",
			url		: "modul/setor_bbm/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_plg").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_plg").html(data);
			}
		});
	});
	
	$('#txt_nopol').keyup(function(){
		var sisabon	= $("#txt_sisabon").val();
		var sisbon		= parseFloat(sisabon);
		
		if(sisbon==0){
			alert('Sisa bon telah habis, silahkan klik Rekam BBM untuk merekam data setoran '+kode+'.');
			return (false);
		}
	});
	
	$('#txt_nopol').click(function(){
		var sisabon	= $("#txt_sisabon").val();
		var sisbon		= parseFloat(sisabon);
		
		if(sisbon==0){
			alert('Sisa bon telah habis, silahkan klik Rekam BBM untuk merekam data setoran '+kode+'.');
			return (false);
		}
	});
	
	$('#txt_jmlnopol').keyup(function(){
		var kode    		= $("#txt_kode").val();
		var jmlnopol	= $("#txt_jmlnopol").val();
		var hjual			= $("#txt_hjual").val();
		var hbeli			= $("#txt_hbeli").val();
		var sisabon	= $("#txt_sisabon").val();
		var sisbon		= parseFloat(sisabon);
		var jmlpol		= parseFloat(jmlnopol);
		var nilainopol	= jmlpol*parseInt(hjual);
		var hppnopol	= jmlpol*parseFloat(hbeli);
		
		if(jmlpol>sisbon){
			alert('Maaf, jumlah liter tidak boleh melebihi sisa bon.');
			return (false);
		}
		$("#txt_nilainopol").val(nilainopol);
		$("#txt_hppnopol").val(hppnopol);
		return false;
	});
	
	function input_bon(){
		$("#input_bon").show();
		var kode = $("#txt_kode").val();
		var sisabon = $("#txt_jmlbon").val();
		
		$("#txt_sisabon").val(sisabon);
		$("#txt_namapl").focus();
	}
	
	$("#rekam_bon").click(function(){
		simpan_data();
	});
		
	function simpan_data(){
		var	kode		= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	shift  		= $("#txt_shift").val();
		var	kodetl 	= $("#txt_kodetl").val();
		var	jenis  		= $("#txt_jenis").val();
		var	tanki  		= $("#txt_tanki").val();
		var	petugas	= $("#txt_petugas").val();
		var	telleraw 	= $("#txt_telleraw").val();
		var	tellerak	= $("#txt_tellerak").val();
		var	idbon   	= $("#txt_idbon").val();
		var	kodepl  	= $("#txt_kodepl").val();
		var	namapl  	= $("#txt_namapl").val();
		var	nopol   	= $("#txt_nopol").val();
		var	jmlnopol	= $("#txt_jmlnopol").val();
		var	nilainopol = $("#txt_nilainopol").val();
		var	hppnopol = $("#txt_hppnopol").val();
		var	tanggaljt	 = $("#txt_tanggaljt").val();
		var	sisabon	= $("#txt_sisabon").val();
		
		var 	error = false;

		if(telleraw.length == 0){
           var error = true;
           alert("Maaf, Teller awal masing kosong, tentukan nomor teller untuk mendapatkan teller awal secara otomatis.");
		   $("#txt_kodetl").focus();
		   return (false);
        }
		
		if(tellerak.length == 0){
           var error = true;
           alert("Maaf, Teller akhir masing kosong.");
		   $("#txt_tellerak").focus();
		   return (false);
        }
		
		if(kodepl.length == 0){
           var error = true;
           alert("Maaf, Kode pelanggan tidak boleh kosong, ketik nama pelanggan untuk mendapatkan kode pelanggan.");
		   $("#txt_kodepl").focus();
		   return (false);
        }
		
		if(jmlnopol.length == 0){
           var error = true;
           alert("Maaf, Jumah liter bon tidak boleh kosong");
		   $("#txt_jmlnopol").focus();
		   return (false);
        }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url	: "modul/setor_bbm/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&shift="+shift+
					"&kodetl="+kodetl+
					"&jenis="+jenis+
					"&tanki="+tanki+
					"&petugas="+petugas+
					"&telleraw="+telleraw+
					"&tellerak="+tellerak+
					"&idbon="+idbon+
					"&kodepl="+kodepl+
					"&namapl="+namapl+
					"&nopol="+nopol+
					"&jmlnopol="+jmlnopol+
					"&nilainopol="+nilainopol+
					"&hppnopol="+hppnopol+
					"&tanggaljt="+tanggaljt,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_namapl").focus();
				
				var	sisbon		= parseFloat(sisabon)-parseFloat(jmlnopol);
				$("#txt_sisabon").val(sisbon);
				cari_idbon();
				tampil_data_detail();
			}
		});
		}
		return false;
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").load("modul/setor_bbm/tampil_data_detail.php?kode="+kode);
	}
	
	$("#simpan").click(function(){	
		rekam_bbm();		
	});
	
	function rekam_bbm(){
		var	kode	 = $("#txt_kode").val();
		var	tanggal = $("#txt_tanggal").val();
		var	shift  		= $("#txt_shift").val();
		var	kodetl 	= $("#txt_kodetl").val();
		var	jenis  		= $("#txt_jenis").val();
		var	tanki  		= $("#txt_tanki").val();
		var	telleraw 	= $("#txt_telleraw").val();
		var	tellerak	= $("#txt_tellerak").val();
		var	jmlkeluar= $("#txt_jmlkeluar").val();
		var	jmltera 	= $("#txt_jmltera").val();
		var	jmlbon 	= $("#txt_jmlbon").val();
		var	jmltunai	= $("#txt_jmltunai").val();
		var	nilaitunai	= $("#txt_nilaitunai").val();
		var	hpptunai = $("#txt_hpptunai").val();
		
		var error = false;

		if(kode.length == 0){
           var error = true;
           alert("Maaf, Kode pembelian  masih kosong.");
		   return (false);
        }
		
		if(telleraw.length == 0){
           var error = true;
           alert("Maaf, Teller awal masing kosong, tentukan nomor teller untuk mendapatkan teller awal secara otomatis.");
		   $("#txt_kodetl").focus();
		   return (false);
        }
		
		if(tellerak.length == 0){
           var error = true;
           alert("Maaf, Teller akhir masing kosong.");
		   $("#txt_tellerak").focus();
		   return (false);
        }
		
		if(error == false){
			$.ajax({
				type		: "POST",
				url		: "modul/setor_bbm/simpan_bbm.php",
				data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&shift="+shift+
					"&kodetl="+kodetl+
					"&jenis="+jenis+
					"&tanki="+tanki+
					"&telleraw="+telleraw+
					"&tellerak="+tellerak+
					"&jmlkeluar="+jmlkeluar+					
					"&jmltera="+jmltera+
					"&jmlbon="+jmlbon+
					"&jmltunai="+jmltunai+
					"&nilaitunai="+nilaitunai+
					"&hpptunai="+hpptunai,
					
				timeout	: 3000,
				beforeSend	: function(){		
					$("#info").html("<img src='loading.gif' />");			
				},
				success	: function(data){
					$("#info").html(data);
					$(".input_detail").val('');
					$(".input_header").val('');
					$('#input_bon').hide();
					$('#data_detail').hide();
					$("#txt_tanggal").focus();
				}
			});
		}
		return false;
	}
	
	$("#batal").click(function(){
		batal_bbm();
	});
	
	function batal_bbm(){
		var	kode	= $("#txt_kode").val();
		
		if(kode.length == 0){
           var error = true;
           alert("Maaf, Kode pembelian  masih kosong.");
		   return (false);
        }
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input '+kode+' ?');
		if (pilih==true) {
			var	kode	= $("#txt_kode").val();			
			$.ajax({
				type		: "POST",
				url		: "modul/setor_bbm/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$(".input_detail").val('');
					$(".input_header").val('');
					$('#data_detail').hide();
				}
			});
		}
	}
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
#cari_produk{
	cursor:pointer;
}
#cari_buyer{
	cursor:pointer;
}
.input_detail readonly {
	background:#666;
}
</style>

<?php
include "../../inc/inc.koneksi.php";

$sql = mysql_query("SELECT * FROM setor_bbm WHERE posting= '' ");
$row	= mysql_num_rows($sql);
if ($row>0){
	$input = "DELETE FROM setor_bbm	WHERE posting = '' ";
	mysql_query($input);	
}

echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_kodelm' id='txt_kodelm' hidden />
		<input type='text' name='txt_prem' id='txt_prem' hidden />
		<input type='text' name='txt_solar' id='txt_solar' hidden />
		<input type='text' name='txt_ptmx' id='txt_ptmx' hidden />
		<input type='text' name='txt_ptmp' id='txt_ptmp' hidden />
		<input type='text' name='txt_ptlt' d='txt_ptlt' hidden />
		<input type='text' name='txt_dex' id='txt_dex' hidden />
		<input type='text' name='txt_dexlite' id='txt_dexlite' hidden />
		<input type='text' name='txt_solek' id='txt_solek' hidden />
		
		<td>Kode Setoran</td>
		<td>:</td>
		<td><input type='text' name='txt_kode' id='txt_kode' size='10' readonly class='input_header' ></td>
		<td width='9%'></td>
		<td>Tanggal</td>
		<td>:</td>
		<td><input type='date' name='txt_tanggal' id='txt_tanggal'  size='10' ></td>
		<td width='9%'></td>
		<td>Shift</td>
		<td>:</td>
		<td><select name='txt_shift' id='txt_shift' >
			<option value='1'>1 - Pagi</option>
			<option value='2'>2 - Siang</option>
			<option value='3'>3 - Malam</option>
			</select>
		</td>
	</tr>
	</table>
	<hr>
	
	<table width='100%' align='center'>
		<tr>			
			<th>Nomor Teller</th>
			<th>Petugas</th>
			<th>Teller Awal</th>
			<th>Teller Akh</th>
			<th>Jumlah Keluar</th>
			<th>Jumlah Tera</th>
			<th>Jumlah Bon</th>
			<th>Jumlah Tunai</th>
			<th>Rupiah Tunai</th>
		</tr>
	
		<tr>
			<input type='text' name='txt_jenis' id='txt_jenis' class='input_header' hidden />
			<input type='text' name='txt_tanki' id='txt_tanki' class='input_header' hidden />
			<input type='text' name='txt_hbeli' id='txt_hbeli' class='input_header' hidden />
			<input type='text' name='txt_hjual' id='txt_hjual' class='input_header' hidden />
			<input type='text' name='txt_hpptunai' id='txt_hpptunai' class='input_header' hidden />
			<input type='text' name='txt_hppnopol' id='txt_hppnopol' class='input_header' hidden />
		
			<td><select type='text' name='txt_kodetl' id='txt_kodetl' >";
				$query	= mysql_query("SELECT * FROM teller ORDER BY kode_tl");
				while($r=mysql_fetch_array($query)){
					echo "<option value='$r[kode_tl]'>$r[kode_tl] - $r[jenis]</option>";
				}
				echo "</select></td>
			<td align='center'><input type='text' name='txt_petugas' id='txt_petugas' class='input_header' size='9' ></td>
			<td align='center'><input type='text' name='txt_telleraw' id='txt_telleraw' class='input_header' size='8' readonly /></td>
			<td align='center'><input type='text' name='txt_tellerak' id='txt_tellerak' class='input_header' size='8' ></td>
			<td align='center'><input type='text' name='txt_jmlkeluar' id='txt_jmlkeluar' class='input_header' size='7' readonly /></td>
			<td align='center'><input type='text' name='txt_jmltera' id='txt_jmltera' class='input_header' size='5' ></td>
			<td align='center'><input type='text' name='txt_jmlbon' id='txt_jmlbon' class='input_header' size='6' ></td>
			<td align='center'><input type='text' name='txt_jmltunai' id='txt_jmltunai' class='input_header' size='6' ></td>
			<td align='center'><input type='text' name='txt_nilaitunai' id='txt_nilaitunai' class='input_header' size='9' ></td>
		</tr>		
	</table>";
	
echo "<div id='input_bon'>
	<fieldset>
		<legend>Input Nota Bon</legend>
		<table width='100%' align='center'>
			<tr>
				<th>Pelanggan</th>
				<th>No. Polisi</th>
				<th>J. Liter</th>
				<th>Nilai Bon</th>
				<th>Jatuh Tempo</th>
				<th>Sisa</th>
			</tr>
			
			<tr>
				<input type='text' name='txt_idbon' id='txt_idbon' class='input_detail' hidden />
				<td>
					<input type='text' name='txt_namapl' id='txt_namapl' class='input_detail' size='15'>
					<input type='text' name='txt_kodepl' id='txt_kodepl' class='input_detail' size='2' readonly />
				</td>
				<td><input type='text' name='txt_nopol' id='txt_nopol' class='input_detail' size='8'></td>
				<td><input type='text' name='txt_jmlnopol' id='txt_jmlnopol' class='input_detail' size='4'></td>
				<td><input type='text' name='txt_nilainopol' id='txt_nilainopol' class='input_detail' size='8'></td>
				<td><input type='date' name='txt_tanggaljt' id='txt_tanggaljt' ></td>
				<td><input type='text' name='txt_sisabon' id='txt_sisabon' class='input_detail' size='4'></td>
				<td colspan='6' align='right'>
					<button name='rekam_bon' id='rekam_bon'>Rekam</button>
				</td>
			</tr>
		</table>
	</fieldset>
	
	<div id='tampil_data_bon'></div>
	</div>";

echo "<table width='100%' align='center'>
		<tr>
			<td align='center'>
				<button name='simpan' id='simpan'>Rekam BBM</button>	
				<button name='batal' id='batal'>Batal</button>	
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
		</table>";

echo "<div id='data_detail' align='center'><div>";
		
echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Pelanggan</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_cariplg' id='txt_cariplg' size='40'</td>
			</tr>
		</table>
		<div id='info_plg' align='center'></div>
	</div>";
?>
